Bug 252438 - net-p2p/transmission-remote-gui can't connect to transmission daemon with "Access violation" popup
Summary: net-p2p/transmission-remote-gui can't connect to transmission daemon with "Ac...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-05 17:25 UTC by Denis Shaposhnikov
Modified: 2021-03-18 20:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
fixed patch-rpc.pas (1.08 KB, patch)
2021-01-06 21:53 UTC, Denis Shaposhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Shaposhnikov 2021-01-05 17:25:39 UTC
Hi!

After updating of the package I can't connect to transmission daemon 2.50 on my Synology NAS. On every connect I see a popup with "Access violation" message and nothing more, just "Access violation". Today I tried to remove files/patch-rpc.pas from the port and rebuild it. And it works! Looks like this patch is breaking transmission-remote-gui.
Comment 1 Jose Alonso Cardenas Marquez freebsd_committer 2021-01-05 23:39:16 UTC
(In reply to Denis Shaposhnikov from comment #0)

Try updating transmission daemon to latest version. I seems like latest version of transmission daemon (3.00) has some changes than break compatibility with transmission-remote-gui. If I remove rpc patch file it works with 2.5 but it will not work with 3.00
Comment 2 Denis Shaposhnikov 2021-01-06 20:45:35 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #1)

Oh-oh, I've upgraded the transmission daemon to 3.00-19 and now I have bigger problem. I can't connect to it with "Access violation" popup using transmission-remote-gui patched by the rpc patch and I can't connect to it with the "status" message using version without the rpc patch.
Comment 3 Jose Alonso Cardenas Marquez freebsd_committer 2021-01-06 21:33:53 UTC
(In reply to Denis Shaposhnikov from comment #2)


Take at look at: 

https://github.com/transmission-remote-gui/transgui/issues/1325
https://github.com/transmission-remote-gui/transgui/pull/1329

Maybe I applied not well the patch file
Comment 4 Denis Shaposhnikov 2021-01-06 21:53:42 UTC
Created attachment 221336 [details]
fixed patch-rpc.pas

This is fixed patch from https://patch-diff.githubusercontent.com/raw/transmission-remote-gui/transgui/pull/1329.patch
Comment 5 Denis Shaposhnikov 2021-01-06 21:55:16 UTC
(In reply to Jose Alonso Cardenas Marquez from comment #3)

Exactly! You are right. I've attached original version of patch-rpc.pas from

https://patch-diff.githubusercontent.com/raw/transmission-remote-gui/transgui/pull/1329.patch

I've just rebuilded the port with that patch and it works now.
Comment 6 commit-hook freebsd_committer 2021-01-06 23:53:16 UTC
A commit references this bug:

Author: acm
Date: Wed Jan  6 23:53:00 UTC 2021
New revision: 560650
URL: https://svnweb.freebsd.org/changeset/ports/560650

Log:
  - Fix patch file

  PR:		252438
  Reported by:	dsh at bamus.cz

Changes:
  head/net-p2p/transmission-remote-gui/files/patch-rpc.pas
Comment 7 Andrey Korobkov 2021-03-18 20:16:14 UTC
I also confirm this bug.
Could this fix be backported (promoted?) to quarterly port branch?

thanks in advnace,
Andrey